net.sf.cglib.reflect

## Class FastConstructor

- java.lang.Object
- - net.sf.cglib.reflect.FastMember
  - - net.sf.cglib.reflect.FastConstructor

-     public class FastConstructor
      extends FastMember

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class[]` | `getExceptionTypes()`
    `java.lang.reflect.Constructor` | `getJavaConstructor()`
    `java.lang.Class[]` | `getParameterTypes()`
    `java.lang.Object` | `newInstance()`
    `java.lang.Object` | `newInstance(java.lang.Object[] args)`

    - ### Methods inherited from class net.sf.cglib.reflect.FastMember

      `equals, getDeclaringClass, getIndex, getModifiers, getName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getParameterTypes

          public java.lang.Class[] getParameterTypes()

      Specified by:
        `getParameterTypes` in class `FastMember`

    - #### getExceptionTypes

          public java.lang.Class[] getExceptionTypes()

      Specified by:
        `getExceptionTypes` in class `FastMember`

    - #### newInstance

          public java.lang.Object newInstance()
                                       throws java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.reflect.InvocationTargetException`

    - #### newInstance

          public java.lang.Object newInstance(java.lang.Object[] args)
                                       throws java.lang.reflect.InvocationTargetException

      Throws:
        `java.lang.reflect.InvocationTargetException`

    - #### getJavaConstructor

          public java.lang.reflect.Constructor getJavaConstructor()

Copyright (c) 2001 - Apache Software Foundation